package com.metafox.app.AmigaDemoScene;

import android.app.Activity;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.view.View;

public class DemoAbout extends Activity {
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.demoabout);	
    }
    
        public void DemoWebsiteLink (View view) {
            goToUrl1 ( "http://amiga.metafox.dk/");
        }

        private void goToUrl1 (String url) {
            Uri uriUrl = Uri.parse(url);
            Intent launchBrowser = new Intent(Intent.ACTION_VIEW, uriUrl);
            startActivity(launchBrowser);
    }
        
        public void DemoEmailLink (View view) {
            goToUrl2 ( "mailto:jh@metafox.dk");
        }

        private void goToUrl2 (String url) {
            Uri uriUrl = Uri.parse(url);
            Intent launchBrowser = new Intent(Intent.ACTION_VIEW, uriUrl);
            startActivity(launchBrowser);
        }

    }